Loading...
Searching...
No Matches
Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative Struct Reference

Set of all first order derivatives of monomials up to degree `maxDegree` as vector of vector valued functions. More...

`#include <dune/functions/analyticfunctions/monomialset.hh>`

## Classes

struct | Hessian
| Set of all second order derivatives of monomials up to degree `maxDegree` as vector of matrix valued functions. More...

## Public Member Functions

template<class DomainFieldType>
constexpr Dune::FieldMatrix< RangeFieldType, size, dim > | operator() (const Dune::FieldVector< DomainFieldType, dim > &x) const
| Return array of arrays of monomial derivatives.

## Friends

constexpr friend auto | derivative (const Derivative &d)
| Construct the Hessian object from a Derivative.

## Detailed Description

template<class RangeFieldType, int dimension, int maxDegree>
struct Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative

Set of all first order derivatives of monomials up to degree `maxDegree` as vector of vector valued functions.

## Member Function Documentation

## operator()()

template<class RangeFieldType, int dimension, int maxDegree>
template<class DomainFieldType>

Dune::FieldMatrix< RangeFieldType, size, dim > Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative::operator() | ( | const Dune::FieldVector< DomainFieldType, dim > & | x | ) | const

constexpr

Return array of arrays of monomial derivatives.

The ith component of the k-the entry of the returned structure is the derivative in direction i of the monomial corresponding the the k-th entry of the return value of exponents().

Template Parameters

  DomainFieldType | The scalar type of the domain.

## Friends And Related Symbol Documentation

## derivative

template<class RangeFieldType, int dimension, int maxDegree>

friend auto derivative | ( | const Derivative & | d | ) |

friend

Construct the Hessian object from a Derivative.

The documentation for this struct was generated from the following file:

- monomialset.hh